/*
 * statwindow.h
 * 
 * VERY simple statistics widget. 
 * 
 * Copyright (c) 2002 by Wolfgang Wieser (wwieser@gmx.de) 
 * 
 * This file may be distributed and/or modified under the terms of the 
 * GNU General Public License version 2 as published by the Free Software 
 * Foundation. 
 * 
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 * 
 */

#ifndef _BURN_QTXGUI_STATWINDOW_H_
#define _BURN_QTXGUI_STATWINDOW_H_ 1

#include <burncore/burncore.h>

#include <Qt/qgroupbox.h>

#include <QTX/xpainter.h>


class StatusWindow : public QGroupBox, QTX::XPainter
{
	private:
		Font fnt;
		QTX::XPainter backpnt;
		
		size_t tick;
		size_t empty,living,burning,dead;
		
		void _Redraw();
		void _Update();
		
		void paintEvent(QPaintEvent *);
	public:
		StatusWindow(QWidget *parent);
		~StatusWindow();
		
		void Update(size_t tick,BurnArea *area);
};

#endif  /* _BURN_QTXGUI_STATWINDOW_H_ */
